--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/facture/class/facture.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/facture/class/facture.class.php	2025-06-27 11:43:39.844663000 +0000
@@ -175,7 +175,6 @@
 	 * @var int id of source invoice if replacement invoice or credit note
 	 */
 	public $fk_facture_source;
-
 	public $linked_objects = array();
 
 	/**
@@ -214,7 +213,7 @@
 	public $situation_cycle_ref;
 
 	/**
-	 * @var ?int Situation counter inside the cycle
+	 * @var int Situation counter inside the cycle
 	 */
 	public $situation_counter;
 
@@ -1081,7 +1080,7 @@
 						0,
 						$fk_parent_line,
 						$fk_product_fournisseur_price,
-						is_null($buyprice) ? '' : $buyprice,	// do not use (float) here, it may be ''
+						$buyprice,
 						$_facrec->lines[$i]->label,
 						empty($_facrec->lines[$i]->array_options) ? null : $_facrec->lines[$i]->array_options,
 						100,	// situation percent is undefined on recurring invoice lines
@@ -1296,7 +1295,6 @@
 		$object->fk_user_author     = $user->id;
 		$object->fk_user_valid      = null;
 		$object->fk_facture_source  = 0;
-		$object->fk_fac_rec_source  = 0;
 		$object->date_creation      = '';
 		$object->date_modification = '';
 		$object->date_validation    = '';
@@ -6191,7 +6189,7 @@
 		} else {
 			$sql .= " AND f.date_lim_reglement = '".$this->db->idate($tmpidate, 'gmt')."'";
 		}
-		$sql .= " AND f.entity IN (".getEntity('facture', 0).")";	// One batch processes only one company (no sharing)
+		$sql .= " AND f.entity IN (".getEntity('facture', 0).")";	// One batch process only one company (no sharing)
 		if (!empty($paymentmode) && $paymentmode != 'all') {
 			$sql .= " AND f.fk_mode_reglement = cp.id AND cp.code = '".$this->db->escape($paymentmode)."'";
 		}
@@ -6201,7 +6199,6 @@
 		} else {
 			$sql .= $this->db->order("date_lim_reglement", "ASC");
 		}
-		// TODO Add a date date_last_remind_email in select. We can update date after the result of sendfile() later. To avoid to send it twiceif we rerun the batch.
 
 		$resql = $this->db->query($sql);
 
@@ -6218,217 +6215,210 @@
 
 		if ($resql) {
 			while ($obj = $this->db->fetch_object($resql)) {
-				// Create a loopError that is reset at each loop, this counter is added to the global counter at the end of loop
-				$loopError = 0;
-
-				// Load event
-				$res = $tmpinvoice->fetch($obj->id);
-				if ($res > 0) {
-					$tmpinvoice->fetch_thirdparty();
-
-					$outputlangs = new Translate('', $conf);
-					if ($tmpinvoice->thirdparty->default_lang) {
-						$outputlangs->setDefaultLang($tmpinvoice->thirdparty->default_lang);
-						$outputlangs->loadLangs(array("main", "bills"));
-					} else {
-						$outputlangs = $langs;
-					}
+				if (!$error) {
+					// Load event
+					$res = $tmpinvoice->fetch($obj->id);
+					if ($res > 0) {
+						$tmpinvoice->fetch_thirdparty();
+
+						$outputlangs = new Translate('', $conf);
+						if ($tmpinvoice->thirdparty->default_lang) {
+							$outputlangs->setDefaultLang($tmpinvoice->thirdparty->default_lang);
+							$outputlangs->loadLangs(array("main", "bills"));
+						} else {
+							$outputlangs = $langs;
+						}
 
-					// Select email template according to language of recipient
-					$arraymessage = $formmail->getEMailTemplate($this->db, 'facture_send', $user, $outputlangs, (is_numeric($template) ? $template : 0), 1, (is_numeric($template) ? '' : $template));
-					if (is_numeric($arraymessage) && $arraymessage <= 0) {
-						$langs->load("errors");
-						$this->output .= $langs->trans('ErrorFailedToFindEmailTemplate', $template);
-						return 0;
-					}
+						// Select email template according to language of recipient
+						$arraymessage = $formmail->getEMailTemplate($this->db, 'facture_send', $user, $outputlangs, (is_numeric($template) ? $template : 0), 1, (is_numeric($template) ? '' : $template));
+						if (is_numeric($arraymessage) && $arraymessage <= 0) {
+							$langs->load("errors");
+							$this->output .= $langs->trans('ErrorFailedToFindEmailTemplate', $template);
+							return 0;
+						}
 
-					// PREPARE EMAIL
-					$errormesg = '';
+						// PREPARE EMAIL
+						$errormesg = '';
 
-					// Make substitution in email content
-					$substitutionarray = getCommonSubstitutionArray($outputlangs, 0, null, $tmpinvoice);
+						// Make substitution in email content
+						$substitutionarray = getCommonSubstitutionArray($outputlangs, 0, null, $tmpinvoice);
 
-					complete_substitutions_array($substitutionarray, $outputlangs, $tmpinvoice);
+						complete_substitutions_array($substitutionarray, $outputlangs, $tmpinvoice);
 
-					// Topic
-					$sendTopic = make_substitutions(empty($arraymessage->topic) ? $outputlangs->transnoentitiesnoconv('InformationMessage') : $arraymessage->topic, $substitutionarray, $outputlangs, 1);
+						// Topic
+						$sendTopic = make_substitutions(empty($arraymessage->topic) ? $outputlangs->transnoentitiesnoconv('InformationMessage') : $arraymessage->topic, $substitutionarray, $outputlangs, 1);
 
-					// Content
-					$content = $outputlangs->transnoentitiesnoconv($arraymessage->content);
+						// Content
+						$content = $outputlangs->transnoentitiesnoconv($arraymessage->content);
 
-					$sendContent = make_substitutions($content, $substitutionarray, $outputlangs, 1);
+						$sendContent = make_substitutions($content, $substitutionarray, $outputlangs, 1);
 
-					// Recipient
-					$to = array();
-					if ($forcerecipient) {	// If a recipient was forced
-						$to = array($forcerecipient);
-					} else {
-						$res = $tmpinvoice->fetch_thirdparty();
-						$recipient = $tmpinvoice->thirdparty;
-						if ($res > 0) {
-							$tmparraycontact = $tmpinvoice->liste_contact(-1, 'external', 0, 'BILLING');
-							if (is_array($tmparraycontact) && count($tmparraycontact) > 0) {
-								foreach ($tmparraycontact as $data_email) {
-									if (!empty($data_email['email'])) {
-										$to[] = $tmpinvoice->thirdparty->contact_get_property($data_email['id'], 'email');
+						// Recipient
+						$to = array();
+						if ($forcerecipient) {	// If a recipient was forced
+							$to = array($forcerecipient);
+						} else {
+							$res = $tmpinvoice->fetch_thirdparty();
+							$recipient = $tmpinvoice->thirdparty;
+							if ($res > 0) {
+								$tmparraycontact = $tmpinvoice->liste_contact(-1, 'external', 0, 'BILLING');
+								if (is_array($tmparraycontact) && count($tmparraycontact) > 0) {
+									foreach ($tmparraycontact as $data_email) {
+										if (!empty($data_email['email'])) {
+											$to[] = $tmpinvoice->thirdparty->contact_get_property($data_email['id'], 'email');
+										}
 									}
 								}
+								if (empty($to) && !empty($recipient->email)) {
+									$to[] = $recipient->email;
+								}
+								if (empty($to)) {
+									$errormesg = "Failed to send remind to thirdparty id=".$tmpinvoice->socid.". No email defined for invoice or customer.";
+									$error++;
+								}
+							} else {
+								$errormesg = "Failed to load recipient with thirdparty id=".$tmpinvoice->socid;
+								$error++;
 							}
-							if (empty($to) && !empty($recipient->email)) {
-								$to[] = $recipient->email;
-							}
-							if (empty($to)) {
-								$errormesg = "Failed to send remind to thirdparty id=".$tmpinvoice->socid.". No email defined for invoice or customer.";
-								$loopError++;
-							}
-						} else {
-							$errormesg = "Failed to load recipient with thirdparty id=".$tmpinvoice->socid;
-							$loopError++;
 						}
-					}
-
-					// Sender
-					$from = getDolGlobalString('MAIN_MAIL_EMAIL_FROM');
-					if (!empty($arraymessage->email_from)) {	// If a sender is defined into template, we use it in priority
-						$from = (string) $arraymessage->email_from;
-					}
-					if (empty($from)) {
-						$errormesg = "Failed to get sender into global setup MAIN_MAIL_EMAIL_FROM";
-						$loopError++;
-					}
 
-					if (!$loopError && !empty($to)) {
-						$to = implode(',', $to);
-						if (!empty($arraymessage->email_to)) {	// If a recipient is defined into template, we add it
-							$to = $to.','.$arraymessage->email_to;
+						// Sender
+						$from = getDolGlobalString('MAIN_MAIL_EMAIL_FROM');
+						if (!empty($arraymessage->email_from)) {	// If a sender is defined into template, we use it in priority
+							$from = (string) $arraymessage->email_from;
 						}
-
-						// Errors Recipient
-						$errors_to = getDolGlobalString('MAIN_MAIL_ERRORS_TO');
-
-						$trackid = 'inv'.$tmpinvoice->id;
-						$sendcontext = 'standard';
-
-						$email_tocc = '';
-						if (!empty($arraymessage->email_tocc)) {	// If a CC is defined into template, we use it
-							$email_tocc = (string) $arraymessage->email_tocc;
+						if (empty($from)) {
+							$errormesg = "Failed to get sender into global setup MAIN_MAIL_EMAIL_FROM";
+							$error++;
 						}
 
-						$email_tobcc = '';
-						if (!empty($arraymessage->email_tobcc)) {	// If a BCC is defined into template, we use it
-							$email_tobcc = (string) $arraymessage->email_tobcc;
-						}
+						if (!$error && !empty($to)) {
+							$this->db->begin();
 
-						//join file is asked
-						$joinFile = [];
-						$joinFileName = [];
-						$joinFileMime = [];
-						if ($arraymessage->joinfiles == 1 && !empty($tmpinvoice->last_main_doc)) {
-							$joinFile[] = DOL_DATA_ROOT.'/'.$tmpinvoice->last_main_doc;
-							$joinFileName[] = basename($tmpinvoice->last_main_doc);
-							$joinFileMime[] = dol_mimetype(DOL_DATA_ROOT.'/'.$tmpinvoice->last_main_doc);
-						}
+							$to = implode(',', $to);
+							if (!empty($arraymessage->email_to)) {	// If a recipient is defined into template, we add it
+								$to = $to.','.$arraymessage->email_to;
+							}
 
-						// Mail Creation
-						$cMailFile = new CMailFile($sendTopic, $to, $from, $sendContent, $joinFile, $joinFileMime, $joinFileName, $email_tocc, $email_tobcc, 0, 1, $errors_to, '', $trackid, '', $sendcontext, '');
+							// Errors Recipient
+							$errors_to = getDolGlobalString('MAIN_MAIL_ERRORS_TO');
 
-						$resultsendmail = $cMailFile->sendfile();
+							$trackid = 'inv'.$tmpinvoice->id;
+							$sendcontext = 'standard';
 
-						$this->db->begin();
+							$email_tocc = '';
+							if (!empty($arraymessage->email_tocc)) {	// If a CC is defined into template, we use it
+								$email_tocc = (string) $arraymessage->email_tocc;
+							}
 
-						// Sending Mail
-						if ($resultsendmail) {
-							$nbMailSend++;
+							$email_tobcc = '';
+							if (!empty($arraymessage->email_tobcc)) {	// If a BCC is defined into template, we use it
+								$email_tobcc = (string) $arraymessage->email_tobcc;
+							}
 
-							// Add a line into event table
-							require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncomm.class.php';
+							//join file is asked
+							$joinFile = [];
+							$joinFileName = [];
+							$joinFileMime = [];
+							if ($arraymessage->joinfiles == 1 && !empty($tmpinvoice->last_main_doc)) {
+								$joinFile[] = DOL_DATA_ROOT.'/'.$tmpinvoice->last_main_doc;
+								$joinFileName[] = basename($tmpinvoice->last_main_doc);
+								$joinFileMime[] = dol_mimetype(DOL_DATA_ROOT.'/'.$tmpinvoice->last_main_doc);
+							}
 
-							// Insert record of emails sent
-							$actioncomm = new ActionComm($this->db);
+							// Mail Creation
+							$cMailFile = new CMailFile($sendTopic, $to, $from, $sendContent, $joinFile, $joinFileMime, $joinFileName, $email_tocc, $email_tobcc, 0, 1, $errors_to, '', $trackid, '', $sendcontext, '');
 
-							$actioncomm->type_code = 'AC_OTH_AUTO'; // Event insert into agenda automatically
-							$actioncomm->socid = $tmpinvoice->thirdparty->id; // To link to a company
-							$actioncomm->contact_id = 0;
+							// Sending Mail
+							if ($cMailFile->sendfile()) {
+								$nbMailSend++;
+
+								// Add a line into event table
+								require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncomm.class.php';
+
+								// Insert record of emails sent
+								$actioncomm = new ActionComm($this->db);
+
+								$actioncomm->type_code = 'AC_OTH_AUTO'; // Event insert into agenda automatically
+								$actioncomm->socid = $tmpinvoice->thirdparty->id; // To link to a company
+								$actioncomm->contact_id = 0;
+
+								$actioncomm->code = 'AC_EMAIL';
+								$actioncomm->label = 'sendEmailsRemindersOnInvoiceDueDateOK (nbdays='.$nbdays.' paymentmode='.$paymentmode.' template='.$template.' datetouse='.$datetouse.' forcerecipient='.$forcerecipient.')';
+								$actioncomm->note_private = $sendContent;
+								$actioncomm->fk_project = $tmpinvoice->fk_project;
+								$actioncomm->datep = dol_now();
+								$actioncomm->datef = $actioncomm->datep;
+								$actioncomm->percentage = -1; // Not applicable
+								$actioncomm->authorid = $user->id; // User saving action
+								$actioncomm->userownerid = $user->id; // Owner of action
+								// Fields when action is an email (content should be added into note)
+								$actioncomm->email_msgid = $cMailFile->msgid;
+								$actioncomm->email_subject = $sendTopic;
+								$actioncomm->email_from = $from;
+								$actioncomm->email_sender = '';
+								$actioncomm->email_to = $to;
+								//$actioncomm->email_tocc = $sendtocc;
+								//$actioncomm->email_tobcc = $sendtobcc;
+								//$actioncomm->email_subject = $subject;
+								$actioncomm->errors_to = $errors_to;
+
+								$actioncomm->elementtype = 'invoice';
+								$actioncomm->elementid = $tmpinvoice->id;
+								$actioncomm->fk_element = $tmpinvoice->id;
 
-							$actioncomm->code = 'AC_EMAIL';
-							$actioncomm->label = 'sendEmailsRemindersOnInvoiceDueDateOK (nbdays='.$nbdays.' paymentmode='.$paymentmode.' template='.$template.' datetouse='.$datetouse.' forcerecipient='.$forcerecipient.')';
-							$actioncomm->note_private = $sendContent;
-							$actioncomm->fk_project = $tmpinvoice->fk_project;
-							$actioncomm->datep = dol_now();
-							$actioncomm->datef = $actioncomm->datep;
-							$actioncomm->percentage = -1; // Not applicable
-							$actioncomm->authorid = $user->id; // User saving action
-							$actioncomm->userownerid = $user->id; // Owner of action
-							// Fields when action is an email (content should be added into note)
-							$actioncomm->email_msgid = $cMailFile->msgid;
-							$actioncomm->email_subject = $sendTopic;
-							$actioncomm->email_from = $from;
-							$actioncomm->email_sender = '';
-							$actioncomm->email_to = $to;
-							//$actioncomm->email_tocc = $sendtocc;
-							//$actioncomm->email_tobcc = $sendtobcc;
-							//$actioncomm->email_subject = $subject;
-							$actioncomm->errors_to = $errors_to;
+								//$actioncomm->extraparams = $extraparams;
 
-							$actioncomm->elementtype = 'invoice';
-							$actioncomm->elementid = $tmpinvoice->id;
+								$actioncomm->create($user);
+							} else {
+								$errormesg = $cMailFile->error.' : '.$to;
+								$error++;
 
-							//$actioncomm->extraparams = $extraparams;
+								// Add a line into event table
+								require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncomm.class.php';
 
-							$actioncomm->create($user);
-						} else {
-							$errormesg = $cMailFile->error.' : '.$to;
-							$loopError++;
+								// Insert record of emails sent
+								$actioncomm = new ActionComm($this->db);
 
-							// Add a line into event table
-							require_once DOL_DOCUMENT_ROOT.'/comm/action/class/actioncomm.class.php';
+								$actioncomm->type_code = 'AC_OTH_AUTO'; // Event insert into agenda automatically
+								$actioncomm->socid = $tmpinvoice->thirdparty->id; // To link to a company
+								$actioncomm->contact_id = 0;
+
+								$actioncomm->code = 'AC_EMAIL';
+								$actioncomm->label = 'sendEmailsRemindersOnInvoiceDueDateKO';
+								$actioncomm->note_private = $errormesg;
+								$actioncomm->fk_project = $tmpinvoice->fk_project;
+								$actioncomm->datep = dol_now();
+								$actioncomm->datef = $actioncomm->datep;
+								$actioncomm->percentage = -1; // Not applicable
+								$actioncomm->authorid = $user->id; // User saving action
+								$actioncomm->userownerid = $user->id; // Owner of action
+								// Fields when action is an email (content should be added into note)
+								$actioncomm->email_msgid = $cMailFile->msgid;
+								$actioncomm->email_from = $from;
+								$actioncomm->email_sender = '';
+								$actioncomm->email_to = $to;
+								//$actioncomm->email_tocc = $sendtocc;
+								//$actioncomm->email_tobcc = $sendtobcc;
+								//$actioncomm->email_subject = $subject;
+								$actioncomm->errors_to = $errors_to;
 
-							// Insert record of emails sent
-							$actioncomm = new ActionComm($this->db);
+								//$actioncomm->extraparams = $extraparams;
 
-							$actioncomm->type_code = 'AC_OTH_AUTO'; // Event insert into agenda automatically
-							$actioncomm->socid = $tmpinvoice->thirdparty->id; // To link to a company
-							$actioncomm->contact_id = 0;
-
-							$actioncomm->code = 'AC_EMAIL';
-							$actioncomm->label = 'sendEmailsRemindersOnInvoiceDueDateKO';
-							$actioncomm->note_private = $errormesg;
-							$actioncomm->fk_project = $tmpinvoice->fk_project;
-							$actioncomm->datep = dol_now();
-							$actioncomm->datef = $actioncomm->datep;
-							$actioncomm->percentage = -1; // Not applicable
-							$actioncomm->authorid = $user->id; // User saving action
-							$actioncomm->userownerid = $user->id; // Owner of action
-							// Fields when action is an email (content should be added into note)
-							$actioncomm->email_msgid = $cMailFile->msgid;
-							$actioncomm->email_from = $from;
-							$actioncomm->email_sender = '';
-							$actioncomm->email_to = $to;
-							//$actioncomm->email_tocc = $sendtocc;
-							//$actioncomm->email_tobcc = $sendtobcc;
-							//$actioncomm->email_subject = $subject;
-							$actioncomm->errors_to = $errors_to;
-
-							$actioncomm->elementtype = 'invoice';
-							$actioncomm->elementid = $tmpinvoice->id;
-
-							//$actioncomm->extraparams = $extraparams;
+								$actioncomm->create($user);
+							}
 
-							$actioncomm->create($user);
+							$this->db->commit();	// We always commit
 						}
 
-						$this->db->commit();	// We always commit
-					}
-
-					if ($errormesg) {
-						$errorsMsg[] = $errormesg;
+						if ($errormesg) {
+							$errorsMsg[] = $errormesg;
+						}
+					} else {
+						$errorsMsg[] = 'Failed to fetch record invoice with ID = '.$obj->id;
+						$error++;
 					}
-				} else {
-					$errorsMsg[] = 'Failed to fetch record invoice with ID = '.$obj->id;
-					$loopError++;
 				}
-
-				$error += $loopError;
 			}
 		} else {
 			$error++;

########## compta/facture/invoicetemplate_list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/facture/invoicetemplate_list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/facture/invoicetemplate_list.php	2025-06-27 11:43:39.809542000 +0000
@@ -64,7 +64,6 @@
 $contextpage = GETPOST('contextpage', 'aZ') ? GETPOST('contextpage', 'aZ') : 'invoicetemplatelist'; // To manage different context of search
 $optioncss  = GETPOST('optioncss', 'aZ'); // Option for the css output (always '' except when 'print')
 $mode       = GETPOST('mode', 'aZ'); // The output mode ('list', 'kanban', 'hierarchy', 'calendar', ...)
-$groupby    = GETPOST('groupby', 'aZ09');
 
 $socid = GETPOSTINT('socid');
 
@@ -183,13 +182,9 @@
 
 $objecttype = 'facture_rec';
 
-$permissiontoread = $user->hasRight("facture", "read");
 $permissionnote = $user->hasRight('facture', 'creer'); // Used by the include of actions_setnotes.inc.php
 $permissiondellink = $user->hasRight('facture', 'creer'); // Used by the include of actions_dellink.inc.php
 $permissiontoedit = $user->hasRight('facture', 'creer'); // Used by the include of actions_lineupdonw.inc.php
-$permissiontodelete = $user->hasRight("facture", "delete");
-
-$uploaddir = $conf->facture->dir_output;
 
 // Security check
 $result = restrictedArea($user, 'facture', $object->id, $objecttype);
@@ -207,7 +202,7 @@
 	$massaction = '';
 }
 
-$parameters = array('arrayfields' => &$arrayfields, 'socid' => $socid);
+$parameters = array('socid' => $socid);
 $reshook = $hookmanager->executeHooks('doActions', $parameters, $object, $action); // Note that $action and $object may have been modified by some hooks
 if ($reshook < 0) {
 	setEventMessages($hookmanager->error, $hookmanager->errors, 'errors');
@@ -260,8 +255,11 @@
 	}
 
 	// Mass actions
-	/*$objectclass = 'MyObject';
-	$objectlabel = 'MyObject';
+	/*$objectclass='MyObject';
+	$objectlabel='MyObject';
+	$permissiontoread = $user->hasRight("mymodule", "read");
+	$permissiontodelete = $user->hasRight("mymodule", "delete");
+	$uploaddir = $conf->mymodule->dir_output;
 	include DOL_DOCUMENT_ROOT.'/core/actions_massactions.inc.php';*/
 }
 
@@ -405,7 +403,7 @@
 		dol_print_error($db);
 	}
 
-	if (($page * $limit) > $nbtotalofrecords) {	// if total resultset is smaller than the paging size (filtering), goto and load page 0
+	if (($page * $limit) > $nbtotalofrecords) {	// if total resultset is smaller then paging size (filtering), goto and load page 0
 		$page = 0;
 		$offset = 0;
 	}
@@ -449,12 +447,6 @@
 if ($limit > 0 && $limit != $conf->liste_limit) {
 	$param .= '&limit='.((int) $limit);
 }
-if ($optioncss != '') {
-	$param .= '&optioncss='.urlencode($optioncss);
-}
-if ($groupby != '') {
-	$param .= '&groupby='.urlencode($groupby);
-}
 if ($socid > 0) {
 	$param .= '&socid='.urlencode((string) ($socid));
 }
@@ -530,11 +522,14 @@
 if ($search_status != '') {
 	$param .= '&search_status='.urlencode($search_status);
 }
+if ($optioncss != '') {
+	$param .= '&optioncss='.urlencode($optioncss);
+}
 // Add $param from extra fields
 include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_param.tpl.php';
 // Add $param from hooks
 $parameters = array('param' => &$param);
-$reshook = $hookmanager->executeHooks('printFieldListSearchParam', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
+$reshook = $hookmanager->executeHooks('printFieldListSearchParam', $parameters, $object); // Note that $action and $object may have been modified by hook
 $param .= $hookmanager->resPrint;
 
 // List of mass actions available
@@ -602,7 +597,7 @@
 print '<tr class="liste_titre_filter">';
 // Action column
 if (getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-	print '<td class="liste_titre center maxwidthsearch">';
+	print '<td class="liste_titre maxwidthsearch center">';
 	$searchpicto = $form->showFilterButtons('left');
 	print $searchpicto;
 	print '</td>';
@@ -734,7 +729,7 @@
 }
 // Action column
 if (!getDolGlobalString('MAIN_CHECKBOX_LEFT_COLUMN')) {
-	print '<td class="liste_titre center maxwidthsearch">';
+	print '<td class="liste_titre maxwidthsearch center">';
 	$searchpicto = $form->showFilterButtons();
 	print $searchpicto;
 	print '</td>';

########## compta/facture/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/facture/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/facture/list.php	2025-06-27 11:43:39.813554000 +0000
@@ -2920,7 +2920,7 @@
 			// Note public
 			if (!empty($arrayfields['f.note_public']['checked'])) {
 				print '<td class="sensiblehtmlcontent center">';
-				print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_public, 5)).'</div>';
+				print dolPrintHTML($obj->note_public);
 				print '</td>';
 				if (!$i) {
 					$totalarray['nbfield']++;
@@ -2928,8 +2928,8 @@
 			}
 			// Note private
 			if (!empty($arrayfields['f.note_private']['checked'])) {
-				print '<td class="sensiblehtmlcontent center">';
-				print '<div class="small lineheightsmall twolinesmax-normallineheight">'.dolPrintHTML(dolGetFirstLineOfText($obj->note_private, 5)).'</div>';
+				print '<td class="center">';
+				print dolPrintHTML($obj->note_private);
 				print '</td>';
 				if (!$i) {
 					$totalarray['nbfield']++;

########## compta/paiement/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/paiement/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/paiement/card.php	2025-06-27 11:43:39.669352000 +0000
@@ -92,7 +92,7 @@
 
 	$service = 'StripeTest';
 	$servicestatus = 0;
-	if (getDolGlobalString('STRIPE_LIVE')/* && !GETPOST('forcesandbox', 'alpha')*/) {
+	if (getDolGlobalString('STRIPE_LIVE') && !GETPOST('forcesandbox', 'alpha')) {
 		$service = 'StripeLive';
 		$servicestatus = 1;
 	}

########## compta/paiement/class/paiement.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/paiement/class/paiement.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/paiement/class/paiement.class.php	2025-06-27 11:43:39.683439000 +0000
@@ -171,6 +171,11 @@
 	public $num_payment;
 
 	/**
+	 * @var string Id of external payment mode
+	 */
+	public $ext_payment_id;
+
+	/**
 	 * @var int Id of prelevement
 	 */
 	public $id_prelevement;
@@ -181,12 +186,7 @@
 	public $num_prelevement;
 
 	/**
-	 * @var string Id of external payment mode (With Stripe: 'pi_xxx:cus_ccc@pk_ppp', ...)
-	 */
-	public $ext_payment_id;
-
-	/**
-	 * @var string Name of external payment mode ('StripeLive', 'StripeTest', 'stripe' on old version, 'paypal', ...)
+	 * @var string Name of external payment mode
 	 */
 	public $ext_payment_site;
 
@@ -296,8 +296,7 @@
 	/**
 	 *  Create payment of invoices into database.
 	 *  It uses this->amounts and ->multicurrency_amounts to get the list of detail of payment for each invoices for the payment.
-	 *  For payment of a customer invoice, amounts are positive, for payment of credit note, amounts are negative.
-	 *  Can also close the invoice if remain to pay is 0.
+	 *  For payment of a customer invoice, amounts are positive, for payment of credit note, amounts are negative
 	 *  This will set also ->amount and ->multicurrency_amount at end.
 	 *
 	 *  @param	User	  $user                	Object user

########## compta/paiement.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/paiement.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/paiement.php	2025-06-27 11:43:39.666854000 +0000
@@ -828,7 +828,7 @@
 							if (!empty($conf->use_javascript_ajax)) {
 								print '<button class="btn-low-emphasis --btn-icon AutoFillAmount" data-rowname="'.$namef.'" data-value="'.($sign * (float) $multicurrency_remaintopay).'">'.img_picto("Auto fill", 'rightarrow');
 							}
-							print '<input '.$min.' '.$max.' type="text" class="multicurrency_amount" name="'.$namef.'" value="'.GETPOST($namef).'">';
+							print '<input '.$min.' '.$max.' type="number" step="any" size="8" class="multicurrency_amount" name="'.$namef.'" value="'.GETPOST($namef).'">';
 							print '<input type="hidden" class="multicurrency_remain" name="'.$nameRemain.'" value="'.$multicurrency_remaintopay.'">';
 						} else {
 							print '<input type="text" class="maxwidth75" name="'.$namef.'_disabled" value="'.(GETPOST($namef) != '0' ? GETPOST($namef) : '').'" disabled>';
@@ -899,7 +899,7 @@
 					if (!empty($conf->use_javascript_ajax)) {
 						print '<button  class="btn-low-emphasis --btn-icon AutoFillAmount" data-rowname="'.$namef.'" data-value="'.($sign * (float) $remaintopay).'">'.img_picto("Auto fill", 'rightarrow').'</button>';
 					}
-					print '<input '.$max.' '.$min.' type="text" size="8" class="amount" name="'.$namef.'" value="'.dol_escape_htmltag(GETPOST($namef)).'">'; // class is required to be used by javascript callForResult();
+					print '<input '.$max.' '.$min.' type="number" step="any" size="8" class="amount" name="'.$namef.'" value="'.dol_escape_htmltag(GETPOST($namef)).'">'; // class is required to be used by javascript callForResult();
 					print '<input type="hidden" class="remain" name="'.$nameRemain.'" value="'.$remaintopay.'">';
 				} else {
 					print '<input type="text" class="maxwidth75" name="'.$namef.'_disabled" value="'.dol_escape_htmltag(GETPOST($namef)).'" disabled>';

########## compta/prelevement/card.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/compta/prelevement/card.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/compta/prelevement/card.php	2025-06-27 11:43:39.705154000 +0000
@@ -80,11 +80,8 @@
 $hookmanager->initHooks(array('directdebitprevcard', 'globalcard', 'directdebitprevlist'));
 
 $type = $object->type;
-
-// Check if salary or invoice
+// check if salary pl
 $salaryBonPl = $object->checkIfSalaryBonPrelevement();
-
-// Security check
 if ($type == 'bank-transfer') {
 	$result = restrictedArea($user, 'paymentbybanktransfer', '', '', '');
 
@@ -102,6 +99,7 @@
 }
 
 
+
 /*
  * Actions
  */
@@ -199,6 +197,7 @@
 }
 
 
+
 /*
  * View
  */

########## compta/prelevement/fiche-rejet.php
